Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.535
diff -u -r1.535 chan_sip.c
--- channels/chan_sip.c	13 Oct 2004 01:05:31 -0000	1.535
+++ channels/chan_sip.c	14 Oct 2004 01:50:15 -0000
@@ -6529,13 +6529,13 @@
 				pingtime = 1;
 			if ((peer->lastms < 0)  || (peer->lastms > peer->maxms)) {
 				if (pingtime <= peer->maxms) {
-					ast_log(LOG_NOTICE, "Peer '%s' is now REACHABLE!\n", peer->name);
+					ast_log(LOG_NOTICE, "Peer '%s' is now REACHABLE! (%dms / %dms)\n", peer->name, pingtime, peer->maxms);
 					statechanged = 1;
 					newstate = 1;
 				}
 			} else if ((peer->lastms > 0) && (peer->lastms <= peer->maxms)) {
 				if (pingtime > peer->maxms) {
-					ast_log(LOG_NOTICE, "Peer '%s' is now TOO LAGGED!\n", peer->name);
+					ast_log(LOG_NOTICE, "Peer '%s' is now TOO LAGGED! (%dms / %dms)\n", peer->name, pingtime, peer->maxms);
 					statechanged = 1;
 					newstate = 2;
 				}
@@ -7805,7 +7805,7 @@
 	
 	peer->pokeexpire = -1;
 	if (peer->lastms > -1) {
-		ast_log(LOG_NOTICE, "Peer '%s' is now UNREACHABLE!\n", peer->name);
+		ast_log(LOG_NOTICE, "Peer '%s' is now UNREACHABLE!  Last qualify: %d\n", peer->name, peer->lastms);
 		manager_event(EVENT_FLAG_SYSTEM, "PeerStatus", "Peer: SIP/%s\r\nPeerStatus: Unreachable\r\nTime: %d\r\n", peer->name, -1);
 	}
 	if (peer->call)
